com.sun.pdfview.decrypt

## Class UnsupportedEncryptionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sun.pdfview.decrypt.UnsupportedEncryptionException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  EncryptionUnsupportedByPlatformException, EncryptionUnsupportedByProductException

    public abstract class UnsupportedEncryptionException
    extends java.lang.Exception

Identifies that the specified encryption mechanism is not supported by this product or platform.

See Also:
  `EncryptionUnsupportedByPlatformException`, `EncryptionUnsupportedByProductException`, Serialized Form

### Constructor Summary

Constructors
`protected` `UnsupportedEncryptionException(java.lang.String message)`
`protected` `UnsupportedEncryptionException(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### UnsupportedEncryptionException

    protected UnsupportedEncryptionException(java.lang.String message)

#### UnsupportedEncryptionException

    protected UnsupportedEncryptionException(java.lang.String message,
                                  java.lang.Throwable cause)